<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.CoordinatorLayout android:fitsSystemWindows="true" android:layout_width="fill_parent" android:layout_height="fill_parent"
  xmlns:android="http://schemas.android.com/apk/res/android" xmlns:app="http://schemas.android.com/apk/res-auto">
    <android.support.design.widget.AppBarLayout android:theme="@style/NavdyAppTheme.AppBarOverlay" android:layout_width="fill_parent" android:layout_height="wrap_content">
        <include layout="@layout/homescreen_toolbar" />
    </android.support.design.widget.AppBarLayout>
    <include layout="@layout/hs_activity" />
    <View android:id="@id/tabs_cover" android:background="@color/tabs_cover_color" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="@dimen/tab_bar_height" android:layout_marginTop="?android:actionBarSize" />
    <RelativeLayout android:id="@id/favorite_fabs_film_and_labels" android:layout_width="fill_parent" android:layout_height="fill_parent">
        <View android:id="@id/film" android:background="@color/white" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent" android:alpha="0.85" />
        <android.support.design.widget.FloatingActionButton android:layout_gravity="end|bottom|center" android:id="@id/fab" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/fab_margin" android:layout_marginTop="@dimen/in_between_fab_margin" android:layout_marginRight="@dimen/fab_margin" android:layout_marginBottom="@dimen/fab_margin" android:src="@drawable/fab_plus_icon" android:layout_alignParentRight="true" android:layout_alignParentBottom="true" android:layout_marginStart="@dimen/fab_margin" android:layout_marginEnd="@dimen/fab_margin" android:layout_alignParentEnd="true" app:elevation="@dimen/elevation" app:rippleColor="@color/blue" app:backgroundTint="@color/black" />
        <android.support.design.widget.FloatingActionButton android:id="@id/addWork" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/fab_margin" android:layout_marginTop="@dimen/in_between_fab_margin" android:layout_marginRight="@dimen/fab_margin" android:layout_marginBottom="@dimen/in_between_fab_margin" android:src="@drawable/ic_add_favorite_work" android:layout_above="@id/fab" android:layout_alignParentRight="true" android:layout_marginStart="@dimen/fab_margin" android:layout_marginEnd="@dimen/fab_margin" android:layout_alignParentEnd="true" app:elevation="@dimen/elevation" app:backgroundTint="@color/black" />
        <android.support.design.widget.FloatingActionButton android:id="@id/addHome" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/fab_margin" android:layout_marginTop="@dimen/in_between_fab_margin" android:layout_marginRight="@dimen/fab_margin" android:layout_marginBottom="@dimen/in_between_fab_margin" android:src="@drawable/ic_add_favorite_home" android:layout_above="@id/addWork" android:layout_alignParentRight="true" android:layout_marginStart="@dimen/fab_margin" android:layout_marginEnd="@dimen/fab_margin" android:layout_alignParentEnd="true" app:elevation="@dimen/elevation" app:backgroundTint="@color/black" />
        <TextView android:textSize="18.0sp" android:gravity="center_vertical" android:layout_gravity="center_vertical" android:id="@id/addFavoriteLabel" android:paddingTop="@dimen/fab_margin" android:paddingBottom="@dimen/fab_margin" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/add_favorite" android:layout_toLeftOf="@id/fab" android:layout_alignTop="@id/fab" android:layout_alignBottom="@id/fab" android:layout_centerVertical="true" android:textAlignment="center" android:layout_toStartOf="@id/fab" />
        <TextView android:textSize="18.0sp" android:gravity="center_vertical" android:layout_gravity="center_vertical" android:id="@id/addHomeLabel" android:paddingTop="@dimen/fab_margin" android:paddingBottom="@dimen/fab_margin" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/add_home" android:layout_toLeftOf="@id/addHome" android:layout_alignTop="@id/addHome" android:layout_alignBottom="@id/addHome" android:layout_centerVertical="true" android:textAlignment="center" android:layout_toStartOf="@id/addHome" />
        <TextView android:textSize="18.0sp" android:gravity="center_vertical" android:layout_gravity="center_vertical" android:id="@id/addWorkLabel" android:paddingTop="@dimen/fab_margin" android:paddingBottom="@dimen/fab_margin" android:visibility="gone" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/add_work" android:layout_toLeftOf="@id/addWork" android:layout_alignTop="@id/addWork" android:layout_alignBottom="@id/addWork" android:layout_centerVertical="true" android:textAlignment="center" android:layout_toStartOf="@id/addWork" />
    </RelativeLayout>
    <RelativeLayout android:id="@id/connection_success_banner" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent">
        <ImageView android:id="@id/green_arrow" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="45.0dip" android:layout_marginRight="21.0dip" android:src="@drawable/img_green_arrow" android:layout_alignParentRight="true" android:layout_marginEnd="21.0dip" android:layout_alignParentEnd="true" />
        <RelativeLayout android:id="@id/connection_success_banner_body" android:background="@color/green_success" android:layout_width="fill_parent" android:layout_height="@dimen/connection_banner_height" android:layout_below="@id/green_arrow" android:onClick="onSuccessBannerClick">
            <ImageView android:id="@id/connection_success_banner_icon" android:paddingLeft="@dimen/outer_margin" android:paddingRight="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_height="wrap_content" android:src="@drawable/icon_navdy_display" android:layout_centerVertical="true" android:contentDescription="@string/illustration" android:paddingStart="@dimen/outer_margin" android:paddingEnd="@dimen/outer_margin" />
            <RelativeLayout android:layout_width="fill_parent" android:layout_height="wrap_content" android:layout_toRightOf="@id/connection_success_banner_icon" android:layout_centerVertical="true" android:layout_toEndOf="@id/connection_success_banner_icon">
                <TextView android:id="@id/connection_success_banner_text" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/navdy_connected" style="@style/Bodytext3White" />
                <TextView android:id="@id/connection_success_banner_subtext" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/tap_to_disconnect" android:layout_below="@id/connection_success_banner_text" android:layout_centerVertical="true" android:fontFamily="sans-serif-medium" style="@style/Bodytext3White" />
            </RelativeLayout>
        </RelativeLayout>
        <View android:background="@color/transparent" android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_below="@id/connection_success_banner_body" android:onClick="hideConnectionBanner" />
    </RelativeLayout>
    <RelativeLayout android:id="@id/connection_failure_banner" android:visibility="gone" android:layout_width="fill_parent" android:layout_height="fill_parent">
        <ImageView android:id="@id/red_arrow" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginTop="45.0dip" android:layout_marginRight="21.0dip" android:src="@drawable/img_red_arrow" android:layout_alignParentRight="true" android:layout_marginEnd="21.0dip" android:layout_alignParentEnd="true" />
        <RelativeLayout android:id="@id/connection_failure_banner_body" android:background="@color/red_failure" android:layout_width="fill_parent" android:layout_height="@dimen/connection_banner_height" android:layout_below="@id/red_arrow" android:onClick="onFailureBannerClick">
            <ImageView android:id="@id/connection_failure_banner_icon" android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_marginLeft="@dimen/outer_margin" android:layout_marginRight="@dimen/outer_margin" android:src="@drawable/icon_navdy_display" android:layout_centerVertical="true" android:contentDescription="@string/illustration" android:layout_marginStart="@dimen/outer_margin" android:layout_marginEnd="@dimen/outer_margin" />
            <Button android:id="@id/connection_failure_banner_button" android:padding="@dimen/outer_margin" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/help" android:layout_alignParentRight="true" android:layout_centerVertical="true" android:onClick="onHelpConnectClick" android:layout_alignParentEnd="true" style="@style/text_button" />
            <RelativeLayout android:layout_width="wrap_content" android:layout_height="wrap_content" android:layout_toLeftOf="@id/connection_failure_banner_button" android:layout_toRightOf="@id/connection_failure_banner_icon" android:layout_centerVertical="true" android:layout_toStartOf="@id/connection_failure_banner_button" android:layout_toEndOf="@id/connection_failure_banner_icon">
                <TextView android:id="@id/connection_failure_banner_text" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/navdy_not_connected" style="@style/Bodytext3White" />
                <TextView android:id="@id/connection_failure_banner_subtext" android:layout_width="wrap_content" android:layout_height="wrap_content" android:text="@string/tap_to_reconnect" android:layout_below="@id/connection_failure_banner_text" android:fontFamily="sans-serif-medium" style="@style/Bodytext3White" />
            </RelativeLayout>
        </RelativeLayout>
        <View android:background="@color/transparent" android:layout_width="fill_parent" android:layout_height="fill_parent" android:layout_below="@id/connection_failure_banner_body" android:onClick="hideConnectionBanner" />
    </RelativeLayout>
</android.support.design.widget.CoordinatorLayout>